package com.qxgmat;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.ServletComponentScan;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;


@EnableScheduling
@EnableCaching
@EnableAsync
@EnableTransactionManagement
@SpringBootApplication(
    scanBasePackages = {"com.nuliji.*", "com.qxgmat.*", "com.qxgmat.data.*"}
)
@Configuration
@ServletComponentScan
public class Application {

    public static void main(String[] args) {
        SpringApplication.run(Application.class, args);
    }
}

// 每日数据统计
// 服务权限验证
// 预习作业添加模式：用于主动发送用户
// 课程与预习作业关系，分册进度
// 作文练习，单题成卷
// 模考做题次数，reset